
From: Anton Blanchard <anton@samba.org>

From: Dave Hansen <haveblue@us.ibm.com>

When normal IRQ balancing is used, the following warnings appear:

arch/ppc64/kernel/xics.c: In function `get_irq_server':
arch/ppc64/kernel/xics.c:242: warning: unused variable `cpumask'
arch/ppc64/kernel/xics.c:243: warning: unused variable `tmp'

Simply move the variables inside the #ifdef

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/xics.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/xics.c~ppc64-suppress-unused-var-warning-in-get_irq_server arch/ppc64/kernel/xics.c
--- 25/arch/ppc64/kernel/xics.c~ppc64-suppress-unused-var-warning-in-get_irq_server	2004-08-04 22:24:38.768047352 -0700
+++ 25-akpm/arch/ppc64/kernel/xics.c	2004-08-04 22:24:38.772046744 -0700
@@ -238,13 +238,13 @@ static unsigned int real_irq_to_virt(uns
 #ifdef CONFIG_SMP
 static int get_irq_server(unsigned int irq)
 {
-	cpumask_t cpumask = irq_affinity[irq];
-	cpumask_t tmp = CPU_MASK_NONE;
 	unsigned int server;
 
 #ifdef CONFIG_IRQ_ALL_CPUS
 	/* For the moment only implement delivery to all cpus or one cpu */
 	if (smp_threads_ready) {
+		cpumask_t cpumask = irq_affinity[irq];
+		cpumask_t tmp = CPU_MASK_NONE;
 		if (cpus_equal(cpumask, CPU_MASK_ALL)) {
 			server = default_distrib_server;
 		} else {
_
